Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network225.88.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
225.88.0.0
Broadcast address
225.89.255.255
First usable
225.88.0.1
Last usable
225.89.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E1580000 · Integer 3780640768 to 3780771839
Reverse DNS zones
88.225.in-addr.arpa
89.225.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100001.01011000.00000000.00000000225.88.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11100001.01011000.00000000.00000000225.88.0.0
Broadcast11100001.01011001.11111111.11111111225.89.255.255
Split into smaller subnets/27

225.88.0.0/15 makes 4,096 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1225.88.0.0/27225.88.0.1 to 225.88.0.30225.88.0.3130
2225.88.0.32/27225.88.0.33 to 225.88.0.62225.88.0.6330
3225.88.0.64/27225.88.0.65 to 225.88.0.94225.88.0.9530
4225.88.0.96/27225.88.0.97 to 225.88.0.126225.88.0.12730
5225.88.0.128/27225.88.0.129 to 225.88.0.158225.88.0.15930
6225.88.0.160/27225.88.0.161 to 225.88.0.190225.88.0.19130
7225.88.0.192/27225.88.0.193 to 225.88.0.222225.88.0.22330
8225.88.0.224/27225.88.0.225 to 225.88.0.254225.88.0.25530
9225.88.1.0/27225.88.1.1 to 225.88.1.30225.88.1.3130
10225.88.1.32/27225.88.1.33 to 225.88.1.62225.88.1.6330
11225.88.1.64/27225.88.1.65 to 225.88.1.94225.88.1.9530
12225.88.1.96/27225.88.1.97 to 225.88.1.126225.88.1.12730
13225.88.1.128/27225.88.1.129 to 225.88.1.158225.88.1.15930
14225.88.1.160/27225.88.1.161 to 225.88.1.190225.88.1.19130
15225.88.1.192/27225.88.1.193 to 225.88.1.222225.88.1.22330
16225.88.1.224/27225.88.1.225 to 225.88.1.254225.88.1.25530
17225.88.2.0/27225.88.2.1 to 225.88.2.30225.88.2.3130
18225.88.2.32/27225.88.2.33 to 225.88.2.62225.88.2.6330
19225.88.2.64/27225.88.2.65 to 225.88.2.94225.88.2.9530
20225.88.2.96/27225.88.2.97 to 225.88.2.126225.88.2.12730
21225.88.2.128/27225.88.2.129 to 225.88.2.158225.88.2.15930
22225.88.2.160/27225.88.2.161 to 225.88.2.190225.88.2.19130
23225.88.2.192/27225.88.2.193 to 225.88.2.222225.88.2.22330
24225.88.2.224/27225.88.2.225 to 225.88.2.254225.88.2.25530
25225.88.3.0/27225.88.3.1 to 225.88.3.30225.88.3.3130
26225.88.3.32/27225.88.3.33 to 225.88.3.62225.88.3.6330
27225.88.3.64/27225.88.3.65 to 225.88.3.94225.88.3.9530
28225.88.3.96/27225.88.3.97 to 225.88.3.126225.88.3.12730
29225.88.3.128/27225.88.3.129 to 225.88.3.158225.88.3.15930
30225.88.3.160/27225.88.3.161 to 225.88.3.190225.88.3.19130
31225.88.3.192/27225.88.3.193 to 225.88.3.222225.88.3.22330
32225.88.3.224/27225.88.3.225 to 225.88.3.254225.88.3.25530
33225.88.4.0/27225.88.4.1 to 225.88.4.30225.88.4.3130
34225.88.4.32/27225.88.4.33 to 225.88.4.62225.88.4.6330
35225.88.4.64/27225.88.4.65 to 225.88.4.94225.88.4.9530
36225.88.4.96/27225.88.4.97 to 225.88.4.126225.88.4.12730
37225.88.4.128/27225.88.4.129 to 225.88.4.158225.88.4.15930
38225.88.4.160/27225.88.4.161 to 225.88.4.190225.88.4.19130
39225.88.4.192/27225.88.4.193 to 225.88.4.222225.88.4.22330
40225.88.4.224/27225.88.4.225 to 225.88.4.254225.88.4.25530
41225.88.5.0/27225.88.5.1 to 225.88.5.30225.88.5.3130
42225.88.5.32/27225.88.5.33 to 225.88.5.62225.88.5.6330
43225.88.5.64/27225.88.5.65 to 225.88.5.94225.88.5.9530
44225.88.5.96/27225.88.5.97 to 225.88.5.126225.88.5.12730
45225.88.5.128/27225.88.5.129 to 225.88.5.158225.88.5.15930
46225.88.5.160/27225.88.5.161 to 225.88.5.190225.88.5.19130
47225.88.5.192/27225.88.5.193 to 225.88.5.222225.88.5.22330
48225.88.5.224/27225.88.5.225 to 225.88.5.254225.88.5.25530
49225.88.6.0/27225.88.6.1 to 225.88.6.30225.88.6.3130
50225.88.6.32/27225.88.6.33 to 225.88.6.62225.88.6.6330
51225.88.6.64/27225.88.6.65 to 225.88.6.94225.88.6.9530
52225.88.6.96/27225.88.6.97 to 225.88.6.126225.88.6.12730
53225.88.6.128/27225.88.6.129 to 225.88.6.158225.88.6.15930
54225.88.6.160/27225.88.6.161 to 225.88.6.190225.88.6.19130
55225.88.6.192/27225.88.6.193 to 225.88.6.222225.88.6.22330
56225.88.6.224/27225.88.6.225 to 225.88.6.254225.88.6.25530
57225.88.7.0/27225.88.7.1 to 225.88.7.30225.88.7.3130
58225.88.7.32/27225.88.7.33 to 225.88.7.62225.88.7.6330
59225.88.7.64/27225.88.7.65 to 225.88.7.94225.88.7.9530
60225.88.7.96/27225.88.7.97 to 225.88.7.126225.88.7.12730
61225.88.7.128/27225.88.7.129 to 225.88.7.158225.88.7.15930
62225.88.7.160/27225.88.7.161 to 225.88.7.190225.88.7.19130
63225.88.7.192/27225.88.7.193 to 225.88.7.222225.88.7.22330
64225.88.7.224/27225.88.7.225 to 225.88.7.254225.88.7.25530
65225.88.8.0/27225.88.8.1 to 225.88.8.30225.88.8.3130
66225.88.8.32/27225.88.8.33 to 225.88.8.62225.88.8.6330
67225.88.8.64/27225.88.8.65 to 225.88.8.94225.88.8.9530
68225.88.8.96/27225.88.8.97 to 225.88.8.126225.88.8.12730
69225.88.8.128/27225.88.8.129 to 225.88.8.158225.88.8.15930
70225.88.8.160/27225.88.8.161 to 225.88.8.190225.88.8.19130
71225.88.8.192/27225.88.8.193 to 225.88.8.222225.88.8.22330
72225.88.8.224/27225.88.8.225 to 225.88.8.254225.88.8.25530
73225.88.9.0/27225.88.9.1 to 225.88.9.30225.88.9.3130
74225.88.9.32/27225.88.9.33 to 225.88.9.62225.88.9.6330
75225.88.9.64/27225.88.9.65 to 225.88.9.94225.88.9.9530
76225.88.9.96/27225.88.9.97 to 225.88.9.126225.88.9.12730
77225.88.9.128/27225.88.9.129 to 225.88.9.158225.88.9.15930
78225.88.9.160/27225.88.9.161 to 225.88.9.190225.88.9.19130
79225.88.9.192/27225.88.9.193 to 225.88.9.222225.88.9.22330
80225.88.9.224/27225.88.9.225 to 225.88.9.254225.88.9.25530
81225.88.10.0/27225.88.10.1 to 225.88.10.30225.88.10.3130
82225.88.10.32/27225.88.10.33 to 225.88.10.62225.88.10.6330
83225.88.10.64/27225.88.10.65 to 225.88.10.94225.88.10.9530
84225.88.10.96/27225.88.10.97 to 225.88.10.126225.88.10.12730
85225.88.10.128/27225.88.10.129 to 225.88.10.158225.88.10.15930
86225.88.10.160/27225.88.10.161 to 225.88.10.190225.88.10.19130
87225.88.10.192/27225.88.10.193 to 225.88.10.222225.88.10.22330
88225.88.10.224/27225.88.10.225 to 225.88.10.254225.88.10.25530
89225.88.11.0/27225.88.11.1 to 225.88.11.30225.88.11.3130
90225.88.11.32/27225.88.11.33 to 225.88.11.62225.88.11.6330
91225.88.11.64/27225.88.11.65 to 225.88.11.94225.88.11.9530
92225.88.11.96/27225.88.11.97 to 225.88.11.126225.88.11.12730
93225.88.11.128/27225.88.11.129 to 225.88.11.158225.88.11.15930
94225.88.11.160/27225.88.11.161 to 225.88.11.190225.88.11.19130
95225.88.11.192/27225.88.11.193 to 225.88.11.222225.88.11.22330
96225.88.11.224/27225.88.11.225 to 225.88.11.254225.88.11.25530
97225.88.12.0/27225.88.12.1 to 225.88.12.30225.88.12.3130
98225.88.12.32/27225.88.12.33 to 225.88.12.62225.88.12.6330
99225.88.12.64/27225.88.12.65 to 225.88.12.94225.88.12.9530
100225.88.12.96/27225.88.12.97 to 225.88.12.126225.88.12.12730
101225.88.12.128/27225.88.12.129 to 225.88.12.158225.88.12.15930
102225.88.12.160/27225.88.12.161 to 225.88.12.190225.88.12.19130
103225.88.12.192/27225.88.12.193 to 225.88.12.222225.88.12.22330
104225.88.12.224/27225.88.12.225 to 225.88.12.254225.88.12.25530
105225.88.13.0/27225.88.13.1 to 225.88.13.30225.88.13.3130
106225.88.13.32/27225.88.13.33 to 225.88.13.62225.88.13.6330
107225.88.13.64/27225.88.13.65 to 225.88.13.94225.88.13.9530
108225.88.13.96/27225.88.13.97 to 225.88.13.126225.88.13.12730
109225.88.13.128/27225.88.13.129 to 225.88.13.158225.88.13.15930
110225.88.13.160/27225.88.13.161 to 225.88.13.190225.88.13.19130
111225.88.13.192/27225.88.13.193 to 225.88.13.222225.88.13.22330
112225.88.13.224/27225.88.13.225 to 225.88.13.254225.88.13.25530
113225.88.14.0/27225.88.14.1 to 225.88.14.30225.88.14.3130
114225.88.14.32/27225.88.14.33 to 225.88.14.62225.88.14.6330
115225.88.14.64/27225.88.14.65 to 225.88.14.94225.88.14.9530
116225.88.14.96/27225.88.14.97 to 225.88.14.126225.88.14.12730
117225.88.14.128/27225.88.14.129 to 225.88.14.158225.88.14.15930
118225.88.14.160/27225.88.14.161 to 225.88.14.190225.88.14.19130
119225.88.14.192/27225.88.14.193 to 225.88.14.222225.88.14.22330
120225.88.14.224/27225.88.14.225 to 225.88.14.254225.88.14.25530
121225.88.15.0/27225.88.15.1 to 225.88.15.30225.88.15.3130
122225.88.15.32/27225.88.15.33 to 225.88.15.62225.88.15.6330
123225.88.15.64/27225.88.15.65 to 225.88.15.94225.88.15.9530
124225.88.15.96/27225.88.15.97 to 225.88.15.126225.88.15.12730
125225.88.15.128/27225.88.15.129 to 225.88.15.158225.88.15.15930
126225.88.15.160/27225.88.15.161 to 225.88.15.190225.88.15.19130
127225.88.15.192/27225.88.15.193 to 225.88.15.222225.88.15.22330
128225.88.15.224/27225.88.15.225 to 225.88.15.254225.88.15.25530
129225.88.16.0/27225.88.16.1 to 225.88.16.30225.88.16.3130
130225.88.16.32/27225.88.16.33 to 225.88.16.62225.88.16.6330
131225.88.16.64/27225.88.16.65 to 225.88.16.94225.88.16.9530
132225.88.16.96/27225.88.16.97 to 225.88.16.126225.88.16.12730
133225.88.16.128/27225.88.16.129 to 225.88.16.158225.88.16.15930
134225.88.16.160/27225.88.16.161 to 225.88.16.190225.88.16.19130
135225.88.16.192/27225.88.16.193 to 225.88.16.222225.88.16.22330
136225.88.16.224/27225.88.16.225 to 225.88.16.254225.88.16.25530
137225.88.17.0/27225.88.17.1 to 225.88.17.30225.88.17.3130
138225.88.17.32/27225.88.17.33 to 225.88.17.62225.88.17.6330
139225.88.17.64/27225.88.17.65 to 225.88.17.94225.88.17.9530
140225.88.17.96/27225.88.17.97 to 225.88.17.126225.88.17.12730
141225.88.17.128/27225.88.17.129 to 225.88.17.158225.88.17.15930
142225.88.17.160/27225.88.17.161 to 225.88.17.190225.88.17.19130
143225.88.17.192/27225.88.17.193 to 225.88.17.222225.88.17.22330
144225.88.17.224/27225.88.17.225 to 225.88.17.254225.88.17.25530
145225.88.18.0/27225.88.18.1 to 225.88.18.30225.88.18.3130
146225.88.18.32/27225.88.18.33 to 225.88.18.62225.88.18.6330
147225.88.18.64/27225.88.18.65 to 225.88.18.94225.88.18.9530
148225.88.18.96/27225.88.18.97 to 225.88.18.126225.88.18.12730
149225.88.18.128/27225.88.18.129 to 225.88.18.158225.88.18.15930
150225.88.18.160/27225.88.18.161 to 225.88.18.190225.88.18.19130
151225.88.18.192/27225.88.18.193 to 225.88.18.222225.88.18.22330
152225.88.18.224/27225.88.18.225 to 225.88.18.254225.88.18.25530
153225.88.19.0/27225.88.19.1 to 225.88.19.30225.88.19.3130
154225.88.19.32/27225.88.19.33 to 225.88.19.62225.88.19.6330
155225.88.19.64/27225.88.19.65 to 225.88.19.94225.88.19.9530
156225.88.19.96/27225.88.19.97 to 225.88.19.126225.88.19.12730
157225.88.19.128/27225.88.19.129 to 225.88.19.158225.88.19.15930
158225.88.19.160/27225.88.19.161 to 225.88.19.190225.88.19.19130
159225.88.19.192/27225.88.19.193 to 225.88.19.222225.88.19.22330
160225.88.19.224/27225.88.19.225 to 225.88.19.254225.88.19.25530
161225.88.20.0/27225.88.20.1 to 225.88.20.30225.88.20.3130
162225.88.20.32/27225.88.20.33 to 225.88.20.62225.88.20.6330
163225.88.20.64/27225.88.20.65 to 225.88.20.94225.88.20.9530
164225.88.20.96/27225.88.20.97 to 225.88.20.126225.88.20.12730
165225.88.20.128/27225.88.20.129 to 225.88.20.158225.88.20.15930
166225.88.20.160/27225.88.20.161 to 225.88.20.190225.88.20.19130
167225.88.20.192/27225.88.20.193 to 225.88.20.222225.88.20.22330
168225.88.20.224/27225.88.20.225 to 225.88.20.254225.88.20.25530
169225.88.21.0/27225.88.21.1 to 225.88.21.30225.88.21.3130
170225.88.21.32/27225.88.21.33 to 225.88.21.62225.88.21.6330
171225.88.21.64/27225.88.21.65 to 225.88.21.94225.88.21.9530
172225.88.21.96/27225.88.21.97 to 225.88.21.126225.88.21.12730
173225.88.21.128/27225.88.21.129 to 225.88.21.158225.88.21.15930
174225.88.21.160/27225.88.21.161 to 225.88.21.190225.88.21.19130
175225.88.21.192/27225.88.21.193 to 225.88.21.222225.88.21.22330
176225.88.21.224/27225.88.21.225 to 225.88.21.254225.88.21.25530
177225.88.22.0/27225.88.22.1 to 225.88.22.30225.88.22.3130
178225.88.22.32/27225.88.22.33 to 225.88.22.62225.88.22.6330
179225.88.22.64/27225.88.22.65 to 225.88.22.94225.88.22.9530
180225.88.22.96/27225.88.22.97 to 225.88.22.126225.88.22.12730
181225.88.22.128/27225.88.22.129 to 225.88.22.158225.88.22.15930
182225.88.22.160/27225.88.22.161 to 225.88.22.190225.88.22.19130
183225.88.22.192/27225.88.22.193 to 225.88.22.222225.88.22.22330
184225.88.22.224/27225.88.22.225 to 225.88.22.254225.88.22.25530
185225.88.23.0/27225.88.23.1 to 225.88.23.30225.88.23.3130
186225.88.23.32/27225.88.23.33 to 225.88.23.62225.88.23.6330
187225.88.23.64/27225.88.23.65 to 225.88.23.94225.88.23.9530
188225.88.23.96/27225.88.23.97 to 225.88.23.126225.88.23.12730
189225.88.23.128/27225.88.23.129 to 225.88.23.158225.88.23.15930
190225.88.23.160/27225.88.23.161 to 225.88.23.190225.88.23.19130
191225.88.23.192/27225.88.23.193 to 225.88.23.222225.88.23.22330
192225.88.23.224/27225.88.23.225 to 225.88.23.254225.88.23.25530
193225.88.24.0/27225.88.24.1 to 225.88.24.30225.88.24.3130
194225.88.24.32/27225.88.24.33 to 225.88.24.62225.88.24.6330
195225.88.24.64/27225.88.24.65 to 225.88.24.94225.88.24.9530
196225.88.24.96/27225.88.24.97 to 225.88.24.126225.88.24.12730
197225.88.24.128/27225.88.24.129 to 225.88.24.158225.88.24.15930
198225.88.24.160/27225.88.24.161 to 225.88.24.190225.88.24.19130
199225.88.24.192/27225.88.24.193 to 225.88.24.222225.88.24.22330
200225.88.24.224/27225.88.24.225 to 225.88.24.254225.88.24.25530
201225.88.25.0/27225.88.25.1 to 225.88.25.30225.88.25.3130
202225.88.25.32/27225.88.25.33 to 225.88.25.62225.88.25.6330
203225.88.25.64/27225.88.25.65 to 225.88.25.94225.88.25.9530
204225.88.25.96/27225.88.25.97 to 225.88.25.126225.88.25.12730
205225.88.25.128/27225.88.25.129 to 225.88.25.158225.88.25.15930
206225.88.25.160/27225.88.25.161 to 225.88.25.190225.88.25.19130
207225.88.25.192/27225.88.25.193 to 225.88.25.222225.88.25.22330
208225.88.25.224/27225.88.25.225 to 225.88.25.254225.88.25.25530
209225.88.26.0/27225.88.26.1 to 225.88.26.30225.88.26.3130
210225.88.26.32/27225.88.26.33 to 225.88.26.62225.88.26.6330
211225.88.26.64/27225.88.26.65 to 225.88.26.94225.88.26.9530
212225.88.26.96/27225.88.26.97 to 225.88.26.126225.88.26.12730
213225.88.26.128/27225.88.26.129 to 225.88.26.158225.88.26.15930
214225.88.26.160/27225.88.26.161 to 225.88.26.190225.88.26.19130
215225.88.26.192/27225.88.26.193 to 225.88.26.222225.88.26.22330
216225.88.26.224/27225.88.26.225 to 225.88.26.254225.88.26.25530
217225.88.27.0/27225.88.27.1 to 225.88.27.30225.88.27.3130
218225.88.27.32/27225.88.27.33 to 225.88.27.62225.88.27.6330
219225.88.27.64/27225.88.27.65 to 225.88.27.94225.88.27.9530
220225.88.27.96/27225.88.27.97 to 225.88.27.126225.88.27.12730
221225.88.27.128/27225.88.27.129 to 225.88.27.158225.88.27.15930
222225.88.27.160/27225.88.27.161 to 225.88.27.190225.88.27.19130
223225.88.27.192/27225.88.27.193 to 225.88.27.222225.88.27.22330
224225.88.27.224/27225.88.27.225 to 225.88.27.254225.88.27.25530
225225.88.28.0/27225.88.28.1 to 225.88.28.30225.88.28.3130
226225.88.28.32/27225.88.28.33 to 225.88.28.62225.88.28.6330
227225.88.28.64/27225.88.28.65 to 225.88.28.94225.88.28.9530
228225.88.28.96/27225.88.28.97 to 225.88.28.126225.88.28.12730
229225.88.28.128/27225.88.28.129 to 225.88.28.158225.88.28.15930
230225.88.28.160/27225.88.28.161 to 225.88.28.190225.88.28.19130
231225.88.28.192/27225.88.28.193 to 225.88.28.222225.88.28.22330
232225.88.28.224/27225.88.28.225 to 225.88.28.254225.88.28.25530
233225.88.29.0/27225.88.29.1 to 225.88.29.30225.88.29.3130
234225.88.29.32/27225.88.29.33 to 225.88.29.62225.88.29.6330
235225.88.29.64/27225.88.29.65 to 225.88.29.94225.88.29.9530
236225.88.29.96/27225.88.29.97 to 225.88.29.126225.88.29.12730
237225.88.29.128/27225.88.29.129 to 225.88.29.158225.88.29.15930
238225.88.29.160/27225.88.29.161 to 225.88.29.190225.88.29.19130
239225.88.29.192/27225.88.29.193 to 225.88.29.222225.88.29.22330
240225.88.29.224/27225.88.29.225 to 225.88.29.254225.88.29.25530
241225.88.30.0/27225.88.30.1 to 225.88.30.30225.88.30.3130
242225.88.30.32/27225.88.30.33 to 225.88.30.62225.88.30.6330
243225.88.30.64/27225.88.30.65 to 225.88.30.94225.88.30.9530
244225.88.30.96/27225.88.30.97 to 225.88.30.126225.88.30.12730
245225.88.30.128/27225.88.30.129 to 225.88.30.158225.88.30.15930
246225.88.30.160/27225.88.30.161 to 225.88.30.190225.88.30.19130
247225.88.30.192/27225.88.30.193 to 225.88.30.222225.88.30.22330
248225.88.30.224/27225.88.30.225 to 225.88.30.254225.88.30.25530
249225.88.31.0/27225.88.31.1 to 225.88.31.30225.88.31.3130
250225.88.31.32/27225.88.31.33 to 225.88.31.62225.88.31.6330
251225.88.31.64/27225.88.31.65 to 225.88.31.94225.88.31.9530
252225.88.31.96/27225.88.31.97 to 225.88.31.126225.88.31.12730
253225.88.31.128/27225.88.31.129 to 225.88.31.158225.88.31.15930
254225.88.31.160/27225.88.31.161 to 225.88.31.190225.88.31.19130
255225.88.31.192/27225.88.31.193 to 225.88.31.222225.88.31.22330
256225.88.31.224/27225.88.31.225 to 225.88.31.254225.88.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses